> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/api-mo-rong/danh-sach-gian-hang-nguon-don.md).

# Danh sách Gian hàng - Nguồn đơn

Lấy danh sách Gian hàng, ID gian hàng theo Kho - Chi Nhánh và theo từng kênh

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/productstore/getEcommerceViaStoreidByParner)

<mark style="color:green;">`POST /`</mark>productstore/getEcommerceViaStoreidByParner

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="https://apidocs.abit.vn/gioi-thieu-ve-abit-open-api.md#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>productstoreid</td><td>int</td><td>ID kho - Chi nhánh của Abit, lấy giá trị này ở <a href="https://apidocs.abit.vn/api-mo-rong/danh-sach-kho-chi-nhanh.md"><strong>API  Danh sách Kho - Chi Nhánh</strong></a></td></tr><tr><td>chanel</td><td>string</td><td>Bạn có thể truyền Kênh để lấy danh sách ID Gian hàng, nguồn đơn Shopee, TIKTOK_SHOP, Fanpage, Website, Ladipage</td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
"access_token": "Zjg5ZDYzNmFmOGFkYmQwODVmMzVmOWM4YTRlMDFiMWQ=",
"partner_name": "Abit",
"productstoreid":1,
"chanel":""
}
```

{% endtab %}

{% tab title="Response" %}

```json
[
    {
        "ecommerce_id": "192119425",
        "resourcename": "VN-Abit Store",
        "chanel": "Shopee"
    },
    {
        "ecommerce_id": "200185074242",
        "resourcename": "Shopp Test",
        "chanel": "Lazada"
    },
    {
        "ecommerce_id": "251094",
        "resourcename": "Abit Shop",
        "chanel": "TIKI"
    },
    {
        "ecommerce_id": "1834817483438900",
        "resourcename": "Cooking and Food",
        "chanel": "Fanpage"
    },
    {
        "ecommerce_id": "289582808317941",
        "resourcename": "Abittest 3",
        "chanel": "Fanpage"
    }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.abit.vn/api-mo-rong/danh-sach-gian-hang-nguon-don.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
